import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientCreateNestedOneWithoutConversationInputObjectSchema as PatientCreateNestedOneWithoutConversationInputObjectSchema } from './PatientCreateNestedOneWithoutConversationInput.schema';
import { UserCreateNestedOneWithoutPatientConversationsInputObjectSchema as UserCreateNestedOneWithoutPatientConversationsInputObjectSchema } from './UserCreateNestedOneWithoutPatientConversationsInput.schema'

const makeSchema = () => z.object({
  stage: z.string().optional(),
  aiHandoff: z.boolean().optional(),
  patient: z.lazy(() => PatientCreateNestedOneWithoutConversationInputObjectSchema),
  user: z.lazy(() => UserCreateNestedOneWithoutPatientConversationsInputObjectSchema)
}).strict();
export const PatientConversationCreateInputObjectSchema: z.ZodType<Prisma.PatientConversationCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationCreateInput>;
export const PatientConversationCreateInputObjectZodSchema = makeSchema();
